Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.desktop2
Class DesktopWithContainer

    java.lang.Object
      madkit.desktop2.DesktopMDI
          madkit.desktop2.DesktopWithContainer

All Implemented Interfaces:
  java.awt.event.ActionListener, java.awt.event.ComponentListener, java.awt.event.MouseListener, java.awt.event.WindowListener, java.util.EventListener, Desktop

    public class DesktopWithContainer

extends DesktopMDI

Field Summary
`protected javax.swing.JFrame` | `frame`

Fields inherited from class madkit.desktop2.DesktopMDI
`addIcon, ai, bar, bool, dBar, desktop, desktopAgentGUI, icons, internalFrames, madkitOutputFrame, output, popupMenu, property, propertyDesktop, propertyFrame, reorder, startMenu, wm`

Constructor Summary
`DesktopWithContainer()`

Method Summary
`void` | `dispose()`
`java.awt.Component` | `getTopComponent()`
`void` | `init(madkit.desktop2.AgentInfo ai, java.util.LinkedList menuInfos, DesktopAgentGUI desktopAgentGUI)`
`boolean` | `setBarOrientation(java.lang.String orientation)`
`void` | `show()`

Methods inherited from class madkit.desktop2.DesktopMDI
`actionPerformed, addComponent, addIcon, addMenuSystem, addNewIcon, addToStartMenu, componentHidden, componentMoved, componentResized, componentShown, createStartMenu, getBackgroundColor, getHeight, getScreenHeight, getScreenWidth, getSkinTheme, getSkinUse, getWallpaperPath, getWallpaperPos, getWidth, IconChanged, mouseClicked, mouseEntered, mouseExited, mousePressed, mouseReleased, removeComponent, removeIcon, removeIconAdderFrame, removePropertyFrame, saveIconState, setBackgroundColor, setProperty, setSkinTheme, setSkinUse, setWallpaperPath, setWallpaperPos, toBack, toFront, windowActivated, windowClosed, windowClosing, windowDeactivated, windowDeiconified, windowIconified, windowOpened`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### frame

    protected javax.swing.JFrame frame

Constructor Detail

### DesktopWithContainer

    public DesktopWithContainer()

Method Detail

### init

    public void init(madkit.desktop2.AgentInfo ai,
                     java.util.LinkedList menuInfos,
                     DesktopAgentGUI desktopAgentGUI)

  Specified by:
    `init` in interface `Desktop`
  Overrides:
    `init` in class `DesktopMDI`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `Desktop`
  Overrides:
    `dispose` in class `DesktopMDI`

### getTopComponent

    public java.awt.Component getTopComponent()

  Specified by:
    `getTopComponent` in interface `Desktop`
  Specified by:
    `getTopComponent` in class `DesktopMDI`

### setBarOrientation

    public boolean setBarOrientation(java.lang.String orientation)

  Specified by:
    `setBarOrientation` in class `DesktopMDI`

### show

    public void show()

  Specified by:
    `show` in interface `Desktop`
  Specified by:
    `show` in class `DesktopMDI`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.